Bug 1776754 - In job template when adding foreign input set - unchecking 'Include All' does not enable 'Include' field
Summary: In job template when adding foreign input set - unchecking 'Include All' does...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Remote Execution
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.7.0
Assignee: satellite6-bugs
QA Contact: Peter Dragun
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-26 10:22 UTC by Peter Dragun
Modified: 2020-04-14 13:27 UTC (History)
2 users (show)

Fixed In Version: tfm-rubygem-foreman_remote_execution-2.0.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:27:37 UTC

Description Peter Dragun 2019-11-26 10:22:22 UTC
Description of problem:
On job template edit view in 'Job' tab, when I try to add foreign input set and uncheck the 'Include All' checkbox to specify 'Include' field, text input is not enabled and console shows error "ReferenceError: update_foreign_input_set_include is not defined".

Version-Release number of selected component (if applicable):
Satellite 6.7 snap 3

How reproducible:
always

Steps to Reproduce:
1. Navigate to 'Hosts' -> 'Job templates'
2. Create new or edit existing template
3. Navigate to 'Job' tab
4. Click on 'Add Foreign Input Set'
5. Uncheck 'Include All'

Actual results:
'Input' field is not enabled

Expected results:
'Input' field should be enabled

Additional info:
This worked fine in sat 6.6

Comment 4 Adam Ruzicka 2019-12-05 11:52:46 UTC
REX 2.0.3 was missing precompiled assets, UI parts relying on those javascripts were failing beacuse of that. 2.0.4 contains everything needed.

Comment 5 Peter Dragun 2019-12-10 12:53:42 UTC
Verified on Sat 6.7 snap 5. Checkbox working as expected, Include field is enabled.

Comment 8 errata-xmlrpc 2020-04-14 13:27:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.